const db = require('../config/db');

// สร้างข้อมูลสินค้า
exports.createProduct = (name, quantity, categoryId) => {
  return db.execute(
    'INSERT INTO products (name, quantity, category_id) VALUES (?, ?, ?)',
    [name, quantity, categoryId]
  );
};

// แก้ไขข้อมูลสินค้า
exports.updateProduct = (id, name, quantity, categoryId) => {
  return db.execute(
    'UPDATE products SET name = ?, quantity = ?, category_id = ? WHERE id = ?',
    [name, quantity, categoryId, id]
  );
};

// ลบข้อมูลสินค้า
exports.deleteProduct = (id) => {
  return db.execute('DELETE FROM products WHERE id = ?', [id]);
};

// แสดงผลข้อมูลสินค้า
exports.getProducts = () => {
  return db.execute(
    'SELECT products.id, products.name, products.quantity, categories.name AS category FROM products JOIN categories ON products.category_id = categories.id'
  );
};

// ค้นหาสินค้าตามชื่อ
exports.searchProducts = (searchTerm) => {
  return db.execute(
    'SELECT products.id, products.name, products.quantity, categories.name AS category FROM products JOIN categories ON products.category_id = categories.id WHERE products.name LIKE ?',
    [`%${searchTerm}%`]  // การค้นหาตามชื่อสินค้าที่มีคำค้นหาตรงกับที่อยู่ในฐานข้อมูล
  );
};

// ดึงข้อมูลสินค้าตาม id
exports.getProductById = (id) => {
  return db.execute(
    'SELECT * FROM products WHERE id = ?',
    [id]
  );
};

// ดึงรายการหมวดหมู่
exports.getCategories = () => {
  return db.execute(
    'SELECT * FROM categories'
  );
};

// อัพเดตข้อมูลสินค้า
exports.updateProduct = (id, name, quantity, categoryId) => {
  return db.execute(
    'UPDATE products SET name = ?, quantity = ?, category_id = ? WHERE id = ?',
    [name, quantity, categoryId, id]
  );
};
